{
    attributes = (
        {
            columnName = "DOM_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "dom_ordre"; }; 
            name = domId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAP_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "TYPC_ID"; }; 
            name = tyapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "tyap_libelle"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "TYAC_ID"; }; 
            name = tyapLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "tyap_strid"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "TYAC_ID"; }; 
            name = tyapStrid; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (domId, tyapId); 
    className = "org.cocktail.jefyadmin.server.metier.EOTypeApplication"; 
    classProperties = (domaine, fonctions, tyapLibelle, tyapStrid); 
    externalName = "JEFY_ADMIN.TYPE_application"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (domaine, fonctions, tyapLibelle, tyapStrid); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOTypeApplication"; 
        "_nameInObjectStore" = "TYPE_CLIENT"; 
    }; 
    name = TypeApplication; 
    primaryKeyAttributes = (tyapId); 
    relationships = (
        {
            destination = Domaine; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = domId; sourceAttribute = domId; }); 
            name = domaine; 
        }, 
        {
            destination = Fonction; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = tyapId; sourceAttribute = tyapId; }); 
            name = fonctions; 
        }
    ); 
}
